@echo off
rem **************************************************************************
rem Sample Windows batch file for starting the VOLANO Chat Server.
rem Leave the Command Prompt window open after running this batch file.
rem Press Ctrl-C in the Command Prompt window to stop the server.
rem **************************************************************************
setlocal

rem **************************************************************************
rem Set JAVA to the path of the java.exe program on your system.
rem **************************************************************************

rem HotSpot Server VM in the 64-bit Java SE Runtime Environment 7
set JAVA="C:\Program Files\Java\jre7\bin\java.exe"
set OPTIONS=-server -Xmx256m -Xss160k

set CP=.
for %%f in (lib\*.jar) do call cpappend.bat %%f
if not exist %JAVA% (
    echo Unable to find Java executable %JAVA%
) else (
    %JAVA% %OPTIONS% -version
    %JAVA% %OPTIONS% -Dinstall.root=. -Dcatalina.home=. -Djava.security.manager -Djava.security.policy=conf/policy.txt -cp %CP% COM.volano.Main %1
)
endlocal

